#include <bits/stdc++.h>
using namespace std;
string X, Y,rezultat;
int maxduzina,a,b;
int main () {
cin>> X>> Y;
reverse(X.begin(),X.end());
reverse(Y.begin(),Y.end());
a=X.size();
b=Y.size();
maxduzina=max(a,b);
for(int i=0;i<maxduzina;++i){
    if(X[i]>Y[i]){
       rezultat+=X[i];
    }
    else if(Y[i]>X[i]){
        rezultat+=Y[i];
    }
    else if(Y[i]==X[i]){
        rezultat+=X[i];
        rezultat+=X[i];
    }
    }
    reverse(rezultat.begin(),rezultat.end());
    cout<<rezultat;

return 0;
}